-- config.lua
--[[
application =
{
	content =
	{
		width = 320,
		height = 480,
		scale = "letterbox" 
	},
}
]]

-----------------------------------------
-- config
--
-- Author: Hyun-joong Kim
-----------------------------------------

local platform = system.getInfo("platform")
local ratio = display.pixelHeight / display.pixelWidth
local width = 1080 * (ratio > 1.5 and 1 or 1.5/ratio)
local height  = 1620 * (ratio < 1.5 and 1 or ratio/1.5)

if ratio < 1.5 or platform == "macos" or platform == "win32" then
    width = 1080
    height = 2080
end

------------------------------------------------------------------
-- get_ratio
------------------------------------------------------------------
function get_ratio()
    return ratio
end

application =
{
    content =
    {
        width = width,
        height = height,
        scale = "letterBox",
        fps = 60,
        audioPlayFrequency = 44100, -- 11025, 22050, 44100
    },

    notification =
    {
        iphone = 
        {
            types = 
            {
                "badge",
                "sound",
                "alert"
            },
        },
    },
}

