local _M = {}
 
function _M:new()
    local debugStr = display.newText( "", display.contentCenterX, display.contentCenterY-500, native.systemFont, 70 )
    debugStr:setFillColor(1,0,0)
    
    local prevTime = 0
    local count = 0

    local function update( event )
        local curTime = system.getTimer()

        if count == 0 then
            debugStr.text =
                string.format( 
                    "FPS: %d\nTexture used: %.2f MB\nSystem used: %.2f MB", 
                    1000 / (curTime - prevTime),
                    system.getInfo("textureMemoryUsed")/(1024*1024),
                    collectgarbage("count")/1024)
            count = display.fps
        end

        count = count - 1

        prevTime = curTime

        debugStr:toFront()
    end

    local function onTap( event )
        collectgarbage( "collect" )
        debugStr.alpha = ((debugStr.alpha==1) and 0.01 or 1)
    end

    debugStr:addEventListener( "tap", onTap )
    Runtime:addEventListener( "enterFrame", update )
end
 
return _M
