display.setDefault("background", 0)
io.output():setvbuf("no")
math.randomseed(os.time())
display.setStatusBar(display.HiddenStatusBar)
transition.ignoreEmptyReference = true
if audio.supportsSessionProperty then
    audio.setSessionProperty(audio.MixMode, audio.AmbientMixMode)
end

local FPS = require "fps"
FPS:new()

local orgW = display.actualContentWidth
local orgH = display.actualContentHeight
local centerX = display.contentCenterX
local centerY = display.contentCenterY

--------------------------------
-- newRect
--------------------------------
local function newRect(x, y, w, h, color)
    local rect = display.newRect(x, y, w, h)
    if color then
        rect.fill = color
    end
    return rect
end

--------------------------------
-- newText
--------------------------------
local function newText(text, x, y, w, h, font, fontSize, color, align)
    local option = 
    {
        text = text,
        x = x,
        y = y,
        width = w,
        height = h,
        font = font,
        fontSize = fontSize,
        align = align,
    }
    local txt = display.newText( option )
    if color then
        txt.fill = color
    end
    return txt
end


local bg = newRect(centerX, centerY, orgW, orgH, {0})

-- newRect(100, centerY, 100, orgH, {1,0,0})
-- newRect(orgW-100, centerY, 100, orgH, {1,0,0})

local yellow = newRect(0, centerY+400, 80, 160, {0.97,0.80,0.37})

transition.to(yellow, {time=2000, x=orgW, iterations=0, transition=easing.continuousLoop})

local debugStr = newText("", centerX, centerY, 0, 0, native.systemFont, 150, {0.97,0.80,0.37})

local direction = "right"

--------------------------------
-- onTimer
--------------------------------
local function onTimer( event )
    if event.count%2 == 0 then
        bg.fill = {0}
        direction = "right"
    else
        bg.fill = {1}
        direction = "left"
    end
end

--------------------------------
-- onSystemEvent
--------------------------------
local function onFrameEvent(event)
	if yellow.x < 200 and direction == "left" then
		debugStr.text = "Now!"
	else
		debugStr.text = ""
	end
end

timer.performWithDelay(1000, onTimer, 0)

Runtime:addEventListener("enterFrame", onFrameEvent)